function [New_Data]=data_time(Old_Data)
len=length(Old_Data);
New_Data=Old_Data;
Year="2000"; %year defined by DARPA 2000

%Modify Date to readable format for MATLAB
%remember to change the time preferences accordingly
%Ensure financial toolbox is installed else hour, minutes, seconds will not
%work
for i=1:len
    [temp1,temp]=strtok(Old_Data(i,1),'-');
    [Month,temp2]=strtok(temp1,'/'); %Obtain Month
    [Day,~]=strtok(temp2,'/'); %Remove '/' to obtain Day
    [H_M_S,~]=strtok(temp,'-');%Remove on '-'
    Month=number2month(str2double(Month));%change Number to Month Name
    Time=strcat(Day,"-",Month,"-",Year," ",H_M_S);%appropriate MATLAB format
    Time=strtrim(Time);%Remove trailing empty space
    Time=char(Time); %convert string to character
    New_Data(i,1)=datetime(Time);%Appropriate Data format
    %Convert to seconds
    New_Data(i,9)=hour(New_Data(i,1))*3600+minute(New_Data(i,1))*60+second(New_Data(i,1));
    New_Data(i,10)=str2double(New_Data(i,9));
%     Date_num(i,1)=datenum(New_Data(i,1));
end
%Compute relative time.
New_Data(:,10)=str2double(New_Data(:,10))-str2double(New_Data(1,9));


end

