function[A_Diff,B_Diff]=differential_evolution(A,B,O,Eps)

G=1000; %Number of iterations

CR=0.8; % Most popular is [0.4,1]

for j=1:G
N=length(A);%Number of states
M=length(B); %Number of distinct observations

%Compute F as max(P(O/lambda)
Log_Likelihood1=hmmdecode(O,A,B);
F1=max(Log_Likelihood1(:));%Fitness function

%Compute D 
a=[];b=[]; %Empty arrays
for i=1:N
    a=[a A(i,:)];
    b=[b B(i,:)];
end
AB_Target=[a b];
A_Len=length(a);
B_Len=length(b);
D=A_Len+B_Len;%length of Vector
NP=1;% Number of D dimensional vectors/Size of population?
Population=NP*D;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%           Step 1: Differential Mutation
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%Obtain randomly chosen index for sampling
for i=1:D
%This is used to make sure that only one parameter is chosen
k= randperm(D); % Random permutation of integers 1:D
%Select three random individuals
if i<=A_Len
    A1=AB_Target(k(1)); A2=AB_Target(k(2)); A3=AB_Target(k(3));
    AB_Mutant(i)=A1+F1*(A2-A3);    
else
    B1=AB_Target(k(1)); A2=AB_Target(k(2)); A3=AB_Target(k(3));   
    AB_Mutant(i)=A1+F1*(A2-A3);  
end
end


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%           Step 2: Differential Crossover
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Create randomly generated index
k= randperm(Population); % Random permutation of integers 1:D
for i=1:Population
    Randb=rand;
    if Randb<=CR || i==k(i)
        AB_Trial(i)=AB_Mutant(i);
    else
        AB_Trial(i)=AB_Target(i);
    end
end
A_Trial_Vec=AB_Trial(1:A_Len);
B_Trial_Vec=AB_Trial(A_Len+1:end);

%Create trial matrices for A and B from vectors
A_Trial=(reshape(A_Trial_Vec,N,N))'; 
B_Trial=(reshape(B_Trial_Vec,M,N))';
%Scale for negative values
A_Trialn=normalise_rows(A_Trial,Eps);
B_Trialn=normalise_rows(B_Trial,Eps);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%            Step 3: Decide on best option using maximum likelihood
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Fitness function optionally use Bootsrap technique as in Sa,A.A.A paper
Log_Likelihood2=hmmdecode(O,A_Trialn,B_Trialn);
F2=max(Log_Likelihood2(:)); 
%Select A and B with higher maximum likehood 
if F2>F1
    A_Diff=A_Trialn;
    B_Diff=B_Trialn;
else
    A_Diff=A;
    B_Diff=B;
end
A=A_Diff;
B=B_Diff;
end
end
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                       End program
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%