function B_KmeansP=k_means_phases(M,N,Training_Data)

K=N*M;%Total required clusters
L1=length(Training_Data);
% IDX=kmeans(Data2cluster,K); %Perfom k means clustering of K=2
DataTemp2= Training_Data(:,1); %temporary Data

%Create empty arrays
Cluster1=[];Cluster2=[];Cluster3=[];Cluster4=[];Cluster5=[];

%Create 5 clusters defined by the phases of the alerts
for i=1:L1
    if find(Training_Data(i,2)==1)
        Cluster1=[Training_Data(i,1); Cluster1];
    elseif find(Training_Data(i,2)==2)
        Cluster2=[Training_Data(i,1); Cluster2];       
    elseif find(Training_Data(i,2)==3)
        Cluster3=[Training_Data(i,1); Cluster3]; 
    elseif find(Training_Data(i,2)==4)
        Cluster4=[Training_Data(i,1); Cluster4]; 
    else
        Cluster5=[Training_Data(i,1); Cluster5];
    end
end

%Take centroids for all phases
[~,C1,~]=kmeans(Cluster1,M);
[~,C2,~]=kmeans(Cluster2,M);
[~,C3,~]=kmeans(Cluster3,M);
[~,C4,~]=kmeans(Cluster4,M);
[~,C5,~]=kmeans(Cluster5,M);
Centroids=[C1; C2; C3; C4; C5];


%Perform K-Means using the obtained centroids
[IDX,~,~]=kmeans(DataTemp2,K,'Start',Centroids);
DataTemp2(:,2)=IDX;%Store clusters in second column
% len=length(DataTemp2);

%Arrange data with starting with cluster 1 to K
Sorted_DataTemp2 = sortrows(DataTemp2, 2);

%Obtain the initial parameters. K cluster {C11,C12..C1M..,CNM}
%Count appearance of Cjk and divide by number of elements in cluster
Init=1;
Start=1;
for i=1:N
    for j=1:M
        Count1 = sum(Sorted_DataTemp2(:,2)==Init); 
        if Count1==0
            B_KmeansP(i,j)=0;
        else
            Stop=Start+Count1-1;
            Temp=Sorted_DataTemp2(Start:Stop,1);
            Count2=sum(Temp==j);  
            B_KmeansP(i,j)=Count2/Count1;
            Start=Stop+1;
        end
        Init=Init+1;
    end
end

end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

