function plotting_results(Results_Method1,Results_Method2,Start,Step,Stop)
%1: Detection of AS 
X = Start:Step:Stop;
No_Samples=length(X);
No_Appr=6; %Number of approaches (AS,NS,NS1,NS2,NO1 and NO2
[No_Rows,No_Techniques]=size(Results_Method1);
Y_AS=[];i=2;j=3;m=1;
while j<=No_Techniques
    Y_AS= [Y_AS Results_Method1(i:No_Appr:No_Rows,j)];    
    j=j+1;
    m=m+1;
end

Y_AS=double(Y_AS);
plot(X,Y_AS)
xlim([Start Stop])
title('All States Detection Accuracy')
ylabel('Detection Accuracy (%)')
xlabel('Alert Window Sample Size')  
legend(["SL" "SL-BW" "SL-SKM" "SA-AHK" "SA-AHK-BW" "SA-AHK-SKM" "SA-HMM" "SA-HMM-BW" "SA-HMM-SKM" "DE" "DE-BW" "DE-SKM" "KmeansD" "KmeansD-BW" "KmeansD-SKM" "KmeansP" "KmeansP-BW" "KmeansP-SKM" "Unif-BW" "Unif-SKM" "Rand-BW" "Rand-SKM" "Count-BW" "Count-SKM"],'Location','northeastoutside')


%2: Detection of CS
Y_CS=[];i=3;j=3;m=1;
while j<=No_Techniques
    Y_CS= [Y_CS Results_Method1(i:No_Appr:No_Rows,j)];    
    j=j+1;
    m=m+1;
end

Y_CS=double(Y_CS);
figure
plot(X,Y_CS)
xlim([Start Stop])
title('Current State Detection Accuracy')
ylabel('Detection Accuracy (%)')
xlabel('Alert Window Sample Size')  
legend(["SL" "SL-BW" "SL-SKM" "SA-AHK" "SA-AHK-BW" "SA-AHK-SKM" "SA-HMM" "SA-HMM-BW" "SA-HMM-SKM" "DE" "DE-BW" "DE-SKM" "KmeansD" "KmeansD-BW" "KmeansD-SKM" "KmeansP" "KmeansP-BW" "KmeansP-SKM" "Unif-BW" "Unif-SKM" "Rand-BW" "Rand-SKM" "Count-BW" "Count-SKM"],'Location','northeastoutside')


%3: Prediction of NS level 1 (Method 1)
Y_NS1=[];i=4;j=3;m=1;
while j<=No_Techniques
    Y_NS1= [Y_NS1 Results_Method1(i:No_Appr:No_Rows,j)];    
    j=j+1;
    m=m+1;
end

Y_NS1=double(Y_NS1);
figure
plot(X,Y_NS1)
xlim([Start Stop])
title('Next State Level 1 Prediction Accuracy, using Both A and B with Alpha (Method 1)')
ylabel('Prediction Accuracy (%)')
xlabel('Alert Window Sample Size')  
legend(["SL" "SL-BW" "SL-SKM" "SA-AHK" "SA-AHK-BW" "SA-AHK-SKM" "SA-HMM" "SA-HMM-BW" "SA-HMM-SKM" "DE" "DE-BW" "DE-SKM" "KmeansD" "KmeansD-BW" "KmeansD-SKM" "KmeansP" "KmeansP-BW" "KmeansP-SKM" "Unif-BW" "Unif-SKM" "Rand-BW" "Rand-SKM" "Count-BW" "Count-SKM"],'Location','northeastoutside')


%4: Prediction of NS level 2 (Method 1)
Y_NS2=[];i=5;j=3;m=1;
while j<=No_Techniques
    Y_NS2= [Y_NS2 Results_Method1(i:No_Appr:No_Rows,j)];    
    j=j+1;
    m=m+1;
end

Y_NS2=double(Y_NS2);
figure
plot(X,Y_NS2)
xlim([Start Stop])
title('Next State Level 2 Prediction Accuracy, using Both A and B with Alpha (Method 1)')
ylabel('Prediction Accuracy (%)')
xlabel('Alert Window Sample Size')  
legend(["SL" "SL-BW" "SL-SKM" "SA-AHK" "SA-AHK-BW" "SA-AHK-SKM" "SA-HMM" "SA-HMM-BW" "SA-HMM-SKM" "DE" "DE-BW" "DE-SKM" "KmeansD" "KmeansD-BW" "KmeansD-SKM" "KmeansP" "KmeansP-BW" "KmeansP-SKM" "Unif-BW" "Unif-SKM" "Rand-BW" "Rand-SKM" "Count-BW" "Count-SKM"],'Location','northeastoutside')

%5: Prediction of NO level 1 (Method 2)
Y_NO1=[];i=6;j=3;m=1;
while j<=No_Techniques
    Y_NO1= [Y_NO1 Results_Method1(i:No_Appr:No_Rows,j)];    
    j=j+1;
    m=m+1;
end

Y_NO1=double(Y_NO1);
figure
plot(X,Y_NO1)
xlim([Start Stop])
title('Next Observation Level 1 Prediction Accuracy, using Both A and B with Alpha (Method 1)')
ylabel('Prediction Accuracy (%)')
xlabel('Alert Window Sample Size')  
legend(["SL" "SL-BW" "SL-SKM" "SA-AHK" "SA-AHK-BW" "SA-AHK-SKM" "SA-HMM" "SA-HMM-BW" "SA-HMM-SKM" "DE" "DE-BW" "DE-SKM" "KmeansD" "KmeansD-BW" "KmeansD-SKM" "KmeansP" "KmeansP-BW" "KmeansP-SKM" "Unif-BW" "Unif-SKM" "Rand-BW" "Rand-SKM" "Count-BW" "Count-SKM"],'Location','northeastoutside')

%6: Prediction of NO level 2 (Method 2)
Y_NO2=[];i=7;j=3;m=1;
while j<=No_Techniques
    Y_NO2= [Y_NO2 Results_Method1(i:No_Appr:No_Rows,j)];    
    j=j+1;
    m=m+1;
end

Y_NO2=double(Y_NO2);
figure
plot(X,Y_NO2)
xlim([Start Stop])
title('Next Observation Level 2 Prediction Accuracy, using Both A and B with Alpha (Method 1)')
ylabel('Prediction Accuracy (%)')
xlabel('Alert Window Sample Size')  
legend(["SL" "SL-BW" "SL-SKM" "SA-AHK" "SA-AHK-BW" "SA-AHK-SKM" "SA-HMM" "SA-HMM-BW" "SA-HMM-SKM" "DE" "DE-BW" "DE-SKM" "KmeansD" "KmeansD-BW" "KmeansD-SKM" "KmeansP" "KmeansP-BW" "KmeansP-SKM" "Unif-BW" "Unif-SKM" "Rand-BW" "Rand-SKM" "Count-BW" "Count-SKM"],'Location','northeastoutside')

%7: Prediction of NS level 1 (Method 2)
Y_NS1=[];i=4;j=3;m=1;
while j<=No_Techniques
    Y_NS1= [Y_NS1 Results_Method2(i:No_Appr:No_Rows,j)];    
    j=j+1;
    m=m+1;
end

Y_NS1=double(Y_NS1);
figure
plot(X,Y_NS1)
xlim([Start Stop])
title('Next State Level 1 Prediction Accuracy Using A and Alpha (Method 2)')
ylabel('Prediction Accuracy (%)')
xlabel('Alert Window Sample Size')  
legend(["SL" "SL-BW" "SL-SKM" "SA-AHK" "SA-AHK-BW" "SA-AHK-SKM" "SA-HMM" "SA-HMM-BW" "SA-HMM-SKM" "DE" "DE-BW" "DE-SKM" "KmeansD" "KmeansD-BW" "KmeansD-SKM" "KmeansP" "KmeansP-BW" "KmeansP-SKM" "Unif-BW" "Unif-SKM" "Rand-BW" "Rand-SKM" "Count-BW" "Count-SKM"],'Location','northeastoutside')

%8: Prediction of NS level 2 (Method 2)
Y_NS2=[];i=5;j=3;m=1;
while j<=No_Techniques
    Y_NS2= [Y_NS2 Results_Method2(i:No_Appr:No_Rows,j)];    
    j=j+1;
    m=m+1;
end

Y_NS2=double(Y_NS2);
figure
plot(X,Y_NS2)
xlim([Start Stop])
title('Next State Level 2 Prediction Accuracy Using A and Alpha (Method 2)')
ylabel('Prediction Accuracy (%)')
xlabel('Alert Window Sample Size')  
legend(["SL" "SL-BW" "SL-SKM" "SA-AHK" "SA-AHK-BW" "SA-AHK-SKM" "SA-HMM" "SA-HMM-BW" "SA-HMM-SKM" "DE" "DE-BW" "DE-SKM" "KmeansD" "KmeansD-BW" "KmeansD-SKM" "KmeansP" "KmeansP-BW" "KmeansP-SKM" "Unif-BW" "Unif-SKM" "Rand-BW" "Rand-SKM" "Count-BW" "Count-SKM"],'Location','northeastoutside')

%9: Prediction of NO level 1 (Method 2)
Y_NO1=[];i=6;j=3;m=1;
while j<=No_Techniques
    Y_NO1= [Y_NO1 Results_Method2(i:No_Appr:No_Rows,j)];    
    j=j+1;
    m=m+1;
end

Y_NO1=double(Y_NO1);
figure
plot(X,Y_NO1)
xlim([Start Stop])
title('Next Observation Level 1 Prediction Accuracy Using B and Alpha (Method 2)')
ylabel('Prediction Accuracy (%)')
xlabel('Alert Window Sample Size')  
legend(["SL" "SL-BW" "SL-SKM" "SA-AHK" "SA-AHK-BW" "SA-AHK-SKM" "SA-HMM" "SA-HMM-BW" "SA-HMM-SKM" "DE" "DE-BW" "DE-SKM" "KmeansD" "KmeansD-BW" "KmeansD-SKM" "KmeansP" "KmeansP-BW" "KmeansP-SKM" "Unif-BW" "Unif-SKM" "Rand-BW" "Rand-SKM" "Count-BW" "Count-SKM"],'Location','northeastoutside')

%10: Prediction of NO level 2 (Method 2)
Y_NO2=[];i=7;j=3;m=1;
while j<=No_Techniques
    Y_NO2= [Y_NO2 Results_Method2(i:No_Appr:No_Rows,j)];    
    j=j+1;
    m=m+1;
end

Y_NO2=double(Y_NO2);
figure
plot(X,Y_NO2)
xlim([Start Stop])
title('Next Observation Level 2 Prediction Accuracy Using B and Alpha (Method 2)')
ylabel('Prediction Accuracy (%)')
xlabel('Alert Window Sample Size')  
legend(["SL" "SL-BW" "SL-SKM" "SA-AHK" "SA-AHK-BW" "SA-AHK-SKM" "SA-HMM" "SA-HMM-BW" "SA-HMM-SKM" "DE" "DE-BW" "DE-SKM" "KmeansD" "KmeansD-BW" "KmeansD-SKM" "KmeansP" "KmeansP-BW" "KmeansP-SKM" "Unif-BW" "Unif-SKM" "Rand-BW" "Rand-SKM" "Count-BW" "Count-SKM"],'Location','northeastoutside')


end