function [Inside1_Nodup_Time,DMZ1_Nodup_Time,L1,L2,Tr_Data_Inside1,Ev_Data_DMZ1,Inside1_Symbols,DMZ1_Symbols,Phase_Points_Inside1,Phase_Points_DMZ1]=preprocess(Raw_Data_Inside1,Raw_Data_DMZ1)
%Preprocessing 1: Format Data into cell while extracting fields from raw data
Inside1=data_extract(Raw_Data_Inside1); 
DMZ1=data_extract(Raw_Data_DMZ1); 

% Preprocessing 2: Remove duplicate alerts
Inside1_Nodup=remove_dup(Inside1); 
DMZ1_Nodup=remove_dup(DMZ1); 

%Preprocessing:Modify Time to MATLAB format and relative time
Inside1_Nodup_Time=data_time(Inside1_Nodup);
DMZ1_Nodup_Time=data_time(DMZ1_Nodup);

%Assign symbols for observations
[Inside1_Ob_Symbols,~]=symbols_observations(Inside1_Nodup_Time);
[DMZ1_Ob_Symbols,~]=symbols_observations(DMZ1_Nodup_Time);

% Assign symbols for states
[Inside1_Symbols,Phase_Points_Inside1]=symbols_states_inside1(Inside1_Ob_Symbols);
[DMZ1_Symbols,Phase_Points_DMZ1]=symbols_states_DMZ1(DMZ1_Ob_Symbols);

% Preprocessing 4: Further alert formatting
%Modify training data so that they are integer multiple of 3-A requirement for SA
[Tr_Data_Inside1,L1]=seq_triple(Inside1_Symbols(:,11:12));

Ev_Data_DMZ1=DMZ1_Symbols(:,11:12);
L2=length(Ev_Data_DMZ1);

%convert string to array
Tr_Data_Inside1=string_num(Tr_Data_Inside1);
Ev_Data_DMZ1=string_num(Ev_Data_DMZ1);
end
